<template>
  <div>
    <div class="con-banner-top" />

    <div class="con-main-body">
      <div class="container-fluid">
        <CBreadcrumb v-if="breadcrumbs.length" :items="breadcrumbs" />

        <div class="main-sidebar-content">
          <div class="main-sidebar">
            <CCard>
              <CCardBody>
                <boxes-nav />
              </CCardBody>
            </CCard>

            <CCard>
              <CCardBody>
                <categories-nav />
              </CCardBody>
            </CCard>
          </div>

          <div class="main-content">
            <slot />
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import BoxesNav from '~/components/molecules/BoxesNav'
import CategoriesNav from '~/components/molecules/CategoriesNav'

export default {
  components: {
    BoxesNav,
    CategoriesNav
  },

  props: {
    /**
     * Generate breadcrumbs
     *
     * @return {array} List breadcrumbs
     */
    breadcrumbs: {
      type: Array,
      default: () => []
    }
  }
}
</script>
